MORE(1)

BEZEICHNUNG
more - den Inhalt einer Datei in einem Terminal anzeigen

ÜBERSICHT

more [Optionen] Datei …

BESCHREIBUNG

more ist ein Filter für die seitenweise Betrachtung von Textdateien. Diese Version ist recht primitiv. Die Benutzer sollten sich darüber im Klaren sein, dass less(1) über eine more(1)-Emulation verfügt und zudem zahlreiche Erweiterungen enthält.

OPTIONEN

Optionen werden auch aus der Umgebungsvariablen MORE entnommen (achten Sie darauf, dass sie mit einem Bindestrich (-) eingeleitet werden). Allerdings werden Befehlszeilenoptionen diese außer Kraft setzen.

-d, --silent
    meldet »[Leertaste zum Fortfahren, „q“ zum Beenden.]« und zeigt »[Drücken Sie „h“ für Hilfe.]« an.

-l, --logical
    pausiert nicht nach jeder Zeile, die ^L (einen Seitenumbruch) enthält.

-e, --exit-on-eof
    beendet am Dateiende. Dies ist standardmäßig aktiviert, falls die Umgebungsvariable POSIXLY_CORRECT nicht gesetzt ist oder wenn die Ausführung nicht im Terminal erfolgt.

-f, --no-pause
    zählt nach logischen Zeilen anstatt Bildschirmzeilen. Das bedeutet, dass lange Zeilen nicht umgebrochen werden.

-p, --print-over
    verhindert das Rollen. Stattdessen wird der Bildschirm geleert und dann der Text angezeigt. Beachten Sie, dass diese Option automatisch eingeschaltet wird, wenn die ausführbare Datei page heißt.

-c, --clean-print
    verhindert das Rollen. Stattdessen wird jeder Bildschirm von oben beginnend neu gezeichnet, wobei jede Zeile durch den neuen Inhalt überschrieben wird.

-s, --squeeze
    führt mehrere Leerzeilen zu einer einzigen zusammen.

-u, --plain
    unterdrückt Unterstreichungen. Diese Option wird zwecks Abwärtskompatibilität stillschweigend ignoriert.

-n, --lines Zahl
    gibt die Anzahl der Zeilen pro Bildschirminhalt an. Das Argument Anzahl ist eine positive dezimale Ganzzahl. Die Option --lines wird sämtliche aus anderen Quellen bezogene Werte außer Kraft setzen, wie beispielsweise die vom Terminal gemeldete Anzahl der Zeilen.

-Zahl
    Eine numerische Option ist mit dem Argument der Option --lines gleichbedeutend.

+Nummer
    startet die Anzeige der Datei bei Zeile Nummer.

+/Zeichenkette
    bezeichnet die Zeichenkette, nach der in jeder Datei gesucht werden soll, bevor sie angezeigt wird.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEFEHLE

Interaktive Befehle für more basieren auf vi(1). Einigen Befehlen kann eine Dezimalzahl vorangestellt werden, in den nachfolgenden Beschreibungen k genannt. Nachfolgend steht ^X für Strg−X.

h oder ?
    Hilfe; es wird eine Zusammenfassung dieser Befehle angezeigt. Wenn Sie sämtliche Befehle vergessen sollten, dann merken Sie sich zumindest diesen.

LEERTASTE
    zeigt die nächsten k Textzeilen an. Die Voreinstellung ist die aktuelle Bildschirmgröße.

z
    zeigt die nächsten k Textzeilen an. Die Vorgabe ist die aktuelle Bildschirmgröße. Das Argument wird zur neuen Vorgabe.

EINGABETASTE
    zeigt die nächsten k Textzeilen an. Die Vorgabe ist 1. Das Argument wird zur neuen Vorgabe.

d oder ^D
    rollt k Zeilen weiter. Die Vorgabe ist die aktuelle Rollweite, anfänglich 11. Das Argument wird zur neuen Vorgabe.

q oder Q oder INTERRUPT
    beendet das Programm.

s
    springt k Textzeilen vor. Die Vorgabe ist 1.

f
    springt k Bildschirmseiten vor. Die Vorgabe ist 1.

b oder ^B
    springt k Bildschirmseiten zurück. Die Vorgabe ist 1. Dies funktioniert nur mit Dateien, nicht mit Pipes (Weiterleitungen).

'
    springt zu dem Ort, an dem der letzte Suchvorgang gestartet wurde.

=
    zeigt die aktuelle Zeilennummer an.

/Muster
    sucht nach dem k-ten Vorkommen des regulären Ausdrucks. Vorgabe ist 1.

n
    sucht nach dem k-ten Vorkommen des letzten regulären Ausdrucks. Vorgabe ist 1.

!Befehl oder :!Befehl
    führt den Befehl in einer Subshell aus.

v
    startet einen Editor in der aktuellen Zeile. Der Editor wird der Umgebungsvariable VISUAL entnommen, falls diese definiert ist, oder EDITOR, falls VISUAL nicht existiert. Die Voreinstellung ist vi(1), falls beide der genannten Variablen nicht verfügbar sein sollten.

^L
    zeichnet den Bildschirminhalt neu.

:n
    springt k Dateien vor. Die Vorgabe ist 1.

:p
    springt k Dateien zurück. Die Vorgabe ist 1.

:f
    zeigt den Namen der aktuellen Datei und die Zeilennummer an.

.
    wiederholt den vorherigen Befehl.

UMGEBUNGSVARIABLEN

Der Befehl more verwendet die folgenden Umgebungsvariablen, falls sie existieren:

MORE
    Diese Variable kann mit bevorzugten Optionen für more belegt werden.

SHELL
    Aktuell verwendete Shell (wird normalerweise beim Anmelden durch die Shell gesetzt).

TERM
    Der von more verwendete Terminaltyp, aus dem die Terminalcharakteristik zur Manipulation des Bildschirms abgeleitet wird.

VISUAL
    Der vom Benutzer bevorzugte Editor. Wird bei der Eingabe von v aufgerufen.

EDITOR
    Der Editor der Wahl, falls VISUAL nicht angegeben ist.

POSIXLY_CORRECT
    deaktiviert Beenden am Dateiende (»exit-on-eof« siehe -e für weitere Details).

GESCHICHTE

Der Befehl more erschien zuerst in 3.0BSD. Diese Handbuchseite dokumentiert more in Version 5.19 (Berkeley 6/29/88), das gegenwärtig in der Linux-Gemeinschaft verwendet wird. Die Dokumentation wurde aus verschiedenen anderen Versionen der Handbuchseite nach gründlicher Sichtung des Quellcodes erstellt.

AUTOREN

Eric Shienbrood, UC Berkeley.

Modifiziert von Geoff Peck, UCB zum Hinzufügen von Unterstreichungen, einzelne Leerzeichen.

Verändert durch John Foderaro, UCB, um -c und MORE-Umgebungsvariable hinzuzufügen.

SIEHE AUCH

less(1), vi(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl more ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.